#include "builder.hpp"
#include "gui.hpp"
#include <fmt/core.h>

int main(int argc, char *argv[])
{
    GUI gui;
    GameEngine game{100};

    auto builder = Builder(gui, game);
    gui.main_loop(game, builder);

    return 1;
}
